Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 234289 - During a net install w/updates channel added "yum" does not pick up all available updates
During a net install w/updates channel added "yum" does not pick up all avail...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
bzcl34nup
:
: 227768 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-28 04:03 EDT by Joachim Frieben
Modified: 2014-01-21 17:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:25:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"FC6" install log w/updates and test updates added during install (51.84 KB, text/plain)
2007-03-28 04:09 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-03-28 04:03:01 EDT
Description of problem:
When a new system is installed in "http" mode, and both "Updates" and
"Test Updates" have been added to the repository list, a mixture of
old and new packages gets installed even breaking dependencies of some
packages. A post install run of "yum" displays > 130 packages scheduled
for update which hadn't been recognized by "yum" during install.

Version-Release number of selected component (if applicable):
yum-3.0-6

How reproducible:
Always.

Steps to Reproduce:
1. Install "FC6" over the network enabling updates and test updates.
  
Actual results:
After install, "yum" indicates that another > 130 packages remain to be
updated.

Expected results:
All available updates get selected during the install procedure.

Additional info:
Dependencies do not get resolved correctly, as the attached "install.log"
shows. For example, "cups-1.2.4-9" and "cups-libs-1.2.10-1" are installed
on the system which is weird.
Comment 1 Joachim Frieben 2007-03-28 04:05:54 EDT
The same happens using the "F7T1" rescue disk. Changing mirrors also
doesn't help, not even using "download.fedora.redhat.com".
Comment 2 Joachim Frieben 2007-03-28 04:09:06 EDT
Created attachment 151101 [details]
"FC6" install log w/updates and test updates added during install
Comment 3 David Cantrell 2007-03-30 13:13:36 EDT
*** Bug 227768 has been marked as a duplicate of this bug. ***
Comment 5 Red Hat Bugzilla 2007-06-11 23:45:02 EDT
requested by Jams Antill
Comment 6 Bug Zapper 2008-04-04 02:42:22 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 15:25:55 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Joachim Frieben 2008-08-07 10:17:28 EDT
This issue does definitely not occur for Fedora 9 (although F7 and F8 probably were not affected either).

Note You need to log in before you can comment on or make changes to this bug.